Payout
POST
/client/1.00/payoutSend a payout from the account connected to the api key.
Request Body
| Field Name | Type | Required | Default | Description |
|---|---|---|---|---|
| productSlug | String | Yes | - | Slug of the product |
| amount | Decimal | Yes | - | Amount you want to send in the payout. Amount does not include fees |
| currency | String | Yes | - | Currency of product |
| fields | Map<String,String> | No | - | Product specific fields. Can be found here |
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
| test | Boolean | No | false | Enables test mode. For more information see Test Mode |
Example Request
curl -X POST api.rewarble.com/client/1.00/payout \
-H "Authorization: Bearer <api key>" \
-H "Content-Type: application/json" \
-d '
{
"productSlug":"paypal-topup-gbp",
"amount":20,
"currency":"gbp",
"fields": {
"accountId": "test@test.com"
}
}'
Example Response
{
"trx": "TRX-ABC123ABC123ABC123ABC1231-ABC12",
"dateCreated": "Jun 16, 2025, 7:30:32 AM",
"email": "test@test.com",
"status": "pending",
"type": "test",
"productSlug": "paypal-topup-gbp",
"priceAmount": 22.00,
"priceCurrency": "eur",
"receiverAccount": "John Doe",
"payOutAmount": 20,
"payOutCurrency": "eur"
}
Response Fields
| Field name | Field type | Field description |
|---|---|---|
| trx | String | ID of the transaction |
| dateCreated | Date | Date when transaction is created |
String | Rewarble account email | |
| status | String | Status of the transaction |
| state | String | State of the request. Either production or test |
| productSlug | String | Slug of the product |
| priceAmount | Decimal | Price |
| priceCurrency | String | Currency of price |
| receiverAccount | String | Account that receives pay out |
| payOutAmount | Decimal | Amount sent by payout |
| payOutCurrency | String | Pay out currency |
Errors
| Http status code | Https status | Message | Reason |
|---|---|---|---|
| 404 | NOT_FOUND | PRODUCT_NOT_FOUND | Product cannot be found |
| 400 | BAD_REQUEST | INVALID_PRODUCT | Product cannot be found |
| 400 | BAD_REQUEST | INVALID_CURRENCY | Currency does not match product currency |
| 403 | FORBIDDEN | KYC_REQUIRED | KYC is required on account. Visiting rewarble.com for more information |
| 422 | UNPROCESSABLE_ENTITY | PRODUCT_NOT_STOCKED | Product out of stuck |
| 400 | BAD_REQUEST | INVALID_FACEVALUE | Amount is invalid |
| 400 | BAD_REQUEST | FACEVALUE_BELOW_MIN | Amount is below minimum |
| 400 | BAD_REQUEST | FACEVALUE_ABOVE_MAX | Amount is above maximum |
| 400 | BAD_REQUEST | ILLEGAL_FACEVALUE | Amount is invalid |
| 402 | PAYMENT_REQUIRED | INSUFFICIENT_BALANCE | Account does not have enough balance |
| 400 | BAD_REQUEST | MISSING_FIELDS | Fields array in request is not complete |
| 500 | INTERNAL_SERVER_ERROR | PAYOUT_FAILED | Unknown error |
Notes
note
- Amount will be the amount excluding fees